Search files

View as Markdown
  • GET
  • /workspaces
  • /:workspace
  • /projects
  • /:project_name
  • /pipelines
  • /:pipeline_id
  • /files
  • /search

Search files in the pipeline filesystem with path and content filters, and get back the list of matching files with their details.

Request

REQUIRED SCOPES
PIPELINE_MANAGE
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

project_namerequiredstring
The human-readable ID of the project

Example: "my-project"

pipeline_idrequiredinteger
The ID of the pipeline

Example: 123

GET PARAMETERS
path_filterstring
Glob pattern to filter files by path

Example: "**/*.pdf"

content_filterstring
Pattern to filter files by content

Example: "my phrase"

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
filesFileMatch[]
The list of files matching the filters

Last modified on Aug 18, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/files/search" \
  -H "Authorization: Bearer <YOUR-TOKEN>" \
  -H "Content-Type: application/json"
EXAMPLE RESPONSE
{
  "files": [
    {
      "path": "app/docs/report.txt",
      "matched_lines": [
        {
          "line_number": 2,
          "line_text": "line with pattern Y"
        }
      ]
    }
  ]
}
STATUS
200 OK